製品 > ArcGIS for Server > 動作環境 > ArcSDE 9.3.1 動作環境

ArcGIS for Server

ArcSDE 9.3.1 動作環境

※ ArcSDE 9.3/9.3.1 は 2014 年 1 月 1 日をもってサポート終了フェーズとなりました。Esri 製品のライフ サイクル ポリシーに関してはこちらをご参照ください。

ArcGIS Server 動作環境に戻る

ArcSDE 9.3.1 Desktop(Personal)

ArcSDE 9.3.1 Desktop(旧 ArcSDE Personal) は ArcGIS Desktop の ArcEditor / ArcInfo ライセンスもしくは ArcGIS Engine に付属します。

ArcSDE 9.3.1 Desktop のジオデータベースを作成し管理を行うには ArcGIS Desktop の ArcEditor もしくは ArcInfo ライセンスが必要です。

ArcGIS Desktop の ArcView ライセンスで ArcSDE に接続し、ArcSDE ジオデータベース内の既存のデータを参照・解析することが可能です。ArcGIS Desktop から新規に ArcSDE ジオデータベース内にデータを作成したり、既存のデータを編集するには ArcEditor もしくは ArcInfo のライセンスが必要です。

DBMS バージョンOS バージョンサポート
レベル
備考
Microsoft SQL Server
Express Edition
2005 SP2/SP3 (32-bit)
ArcGIS Desktop の ArcEditor
もしくはArcInfo ライセンスが
サポートする OS
tablecheck  
Microsoft SQL Server
Express Edition
2008 SP 無し/SP1 (32-bit)
tablecheck  
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

ArcSDE 9.3.1 Workgroup

ArcSDE 9.3.1 Workgroup は ArcGIS Server Workgroup レベルのライセンスに付属します。

ArcSDE 9.3.1 Workgroup のジオデータベースを作成し管理を行うには ArcGIS Desktop の ArcEditor もしくは ArcInfo ライセンスが必要です。

ArcGIS Desktop の ArcView ライセンスで ArcSDE に接続し、ArcSDE ジオデータベース内の既存のデータを参照・解析することが可能です。ArcGIS Desktop から新規に ArcSDE ジオデータベース内にデータを作成したり、既存のデータを編集するには ArcEditor もしくは ArcInfo のライセンスが必要です。

DBMSバージョンOSバージョンサポート
レベル
備考
Microsoft SQL Server
Express Edition
with Advanced Services
2005 SP2/SP3 (32-bit)
ArcGIS Server Workgroupの
サーバ環境 がサポートするOS
tablecheck  
Microsoft SQL Server
Express Edition
with Advanced Services
2008 SP 無し/SP1 (32-bit)
tablecheck  
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

ArcSDE 9.3.1 Enterprise

ArcSDE 9.3.1 Enterprise は ArcGIS Server Enterprise レベルのライセンスに付属します。

ArcSDE 9.3.1 Enterprise のジオデータベースの作成および管理には ArcSDE 管理コマンドおよび各 DBMS が提供する管理ユーティリティを使用します。

ArcGIS Desktop の ArcView ライセンスで ArcSDE に接続し、ArcSDE ジオデータベース内の既存のデータを参照・解析することが可能です。ArcGIS Desktop から新規に ArcSDE ジオデータベース内にデータを作成したり、既存のデータを編集するには ArcEditor もしくは ArcInfo のライセンスが必要です。

1つ以上のDBMSを選択してください。

ArcSDE 9.3.1 for IBM DB2

DBMS バージョンOS バージョンサポート
レベル
備考
IBM DB2 V8 Fixpack 15
(64–bit)
IBM
AIX 5.3.0.0
(64–bit)
notsupported *1
*3
IBM DB2 V9.5 Fixpack 1
(64–bit)
IBM
AIX 5.3.0.0
(64–bit)
notsupported *2  
*3 
*4
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

ArcSDE 9.3.1 for Microsoft SQL Server

DBMSバージョンOSバージョンサポート
レベル
備考
Microsoft SQL Server
2000 SP4 (32–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise,
Datacenter
tablecheck *5
*6
Microsoft SQL Server
2005 SP2/SP3 (32–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
tablecheck *5
*6
Microsoft SQL Server 
2005 SP2/SP3 (32–bit)
PC–Intel
Windows Server 2008
Standard, Enterprise,
Datacenter
tablecheck *5
Microsoft SQL Server 
2005 SP2/SP3 (64–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise,
Datacenter
(64–bit EM64T)
tablecheck *6
*7
Microsoft SQL Server 
2005 SP2/SP3 (64–bit)
PC–Intel
Windows Server 2008
Standard, Enterprise, 
Datacenter
(64–bit EM64T)
 tablecheck  *7
Microsoft SQL Server
2008 SP無し/SP1 (32–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
tablecheck *5
*6
Microsoft SQL Server 
2008 SP無し/SP1 (32–bit)
PC–Intel
Windows Server 2008
Standard, Enterprise, 
Datacenter
tablecheck *5
Microsoft SQL Server 
2008 SP無し/SP1 (64–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
(64–bit EM64T)
tablecheck *6
*7
Microsoft SQL Server 
2008 SP無し/SP1 (64–bit)
PC–Intel
Windows Server 2008
Standard, Enterprise, 
Datacenter
(64–bit EM64T)
tablecheck *7
Microsoft SQL Server 
2008 SP無し/SP1 (64–bit)
PC–Intel
Windows Server 2008 R2
Standard, Enterprise, 
Datacenter
(64–bit EM64T)
tablecheck *7
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

ArcSDE 9.3.1 for Oracle

DBMS バージョンOS バージョンサポート
レベル
備考
Oracle 10g 
10.2.0.3 (32–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
tablecheck *5
*6
*8
Oracle 10g 
10.2.0.3 (32–bit)
PC–Intel
Windows Server 2008 SP1
Standard, Enterprise, 
Datacenter
tablecheck *8
Oracle 10g 
10.2.0.3 (32–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 4.0 Update 2 
(x86 32–bit)
tablecheck *8
Oracle 10g
10.2.0.3 (64–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise,
Datacenter
(64–bit AMD64/EM64T)
tablecheck *5
*6
*8
Oracle 10g 
10.2.0.3 (64–bit)
IBM
AIX 5.3.0.0
(64–bit)
notsupported *8
Oracle 10g
10.2.0.3 (64–bit)
Sun
Solaris 10(SPARC)
(64–bit)
tablecheck *8
Oracle 10g 
10.2.0.3 (64–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 4.0 Update 2 
(64–bit)
tablecheck *7
*8
Oracle 10g
10.2.0.3 (64–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 5 
(64–bit)
tablecheck *7
*8
Oracle 11g 
11.1.0.6 (32–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
tablecheck *5
*6
*8
Oracle 11g 
11.1.0.6 (32–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 4.0 Update 2
(x86 32–bit)
tablecheck *8
Oracle 11g 
11.1.0.6 (64–bit)
PC–Intel
Windows Server 2003 SP2
Standard, Enterprise, 
Datacenter
(64–bit AMD64/EM64T)
tablecheck *6
*7
*8
Oracle 11g 
11.1.0.6 (64–bit)
IBM
AIX 5.3.0.0
(64–bit)
 notsupported *8
Oracle 11g 
11.1.0.6 (64–bit)
Sun
Solaris 10(SPARC) 
(64–bit)
 notsupported *8
Oracle 11g 
11.1.0.6 (64–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 4.0 Update 2 
(64–bit)
tablecheck *7
*8
Oracle 11g 
11.1.0.6 (64–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 5 
(64–bit)
tablecheck *7
*8
Oracle 11g
11.1.0.7 (64–bit)
PC–Intel
Windows Server 2008 SP1
Standard, Enterprise,
Datacenter
(64–bit)
tablecheck *8
*9
Oracle 11g
11.2.0.1 (64–bit)
PC–Intel
Windows Server 2008 R2
Standard, Enterprise,
Datacenter
(64–bit EM64T)
tablecheck *9
*10
*11
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

ArcSDE 9.3.1 for PostgreSQL

DBMSバージョンOSバージョンサポート
レベル
備考
PostgreSQL
8.3.0 (32–bit)
PC–Intel
Windows Server 2003 SP 2
Standard, Enterprise,
Datacenter
(32–bit)
tablecheck *6
PostgreSQL
8.3.0 (32–bit)
Linux–Intel
Red Hat Enterprise Linux
AS/ES 4.0 Update 2 
(x86 32–bit)
tablecheck *12
レベルサポートレベル
tablecheck 日本語環境のサポート
notsupported 現在ESRI ジャパンによる認定テスト中(英語環境のみサポート)

対応DBMSエディション

ArcSDEのレベルエディション
ArcSDE Desktop
(ArcSDE Personal)
Micorsoft SQL Server
  • Express Edition
ArcSDE Workgroup Micorsoft SQL Server
  • Express Edition
ArcSDE Enterprise IBM DB2
  • Enterprise Server Edition

Micorsoft SQL Server

  • Workgroup Edition
  • Standard Edition
  • Enterprise Edition

Oracle

  • Standard Edition One
  • Standard Edition
  • Enterprise Edition

上位パッチの適用について

米国 Esri 社では OS および DBMS の基準レベル・バージョンを決定して、ソフトウェアの開発および動作認定を行っています。必要であれば、上記動作環境表に記載されているバージョンよりも上位の OS および DBMS のパッチを適用していただいて構いませんが、上記動作環境表では推奨および認定テスト済みのバージョンを示しています。米国 Esri 社が正式に認定テストを行っていない後続のパッチが OS および DBMS ベンダーからリリースされる場合がありますが、このパッチを適用する場合には、事前にデータベースのバックアップを取得しておくことをお奨めいたします。また、パッチ適用により障害が発生した場合には、パッチ適用前の状態に復旧してください。

重要:Oracle 10.2.0.4 へのアップグレードについて

Oracle 10g における不具合により、Oracle のバージョンを 10.2.0.4 にアップグレードした場合に ArcSDE のST_Geometry 型データの管理スキーマが破損する問題が確認されています。

ArcSDE 9.2 から ArcSDE 10 へのアップグレードとともに Oracle のバージョンを 10.2.0.4 にアップグレードする場合は、以下の手順にてアップグレードを行う必要があります。

  • ArcSDE をバージョン 10 にアップグレードした後で、Oracle のバージョンを 10.2.0.4 にアップグレードします。
  • ArcSDE のアップグレードの前に Oracle のアップグレードを行う必要がある場合は、ArcSDE 9.2 Service Pack 6 を適用した後で、Oracle のバージョンを 10.2.0.4 にアップグレードし、ArcSDE をバージョン 10 にアップグレードします。

また、Oracle 10.2.0.4を使用する場合、Oracle の不具合 7155655 によりバージョニング編集においてデータに不整合が発生する可能性があります(詳細はESRI Article 36134をご参照ください。 ※ESRIグローバルアカウント登録(無償)が必要です)。Oracle 10.2.0.4 においてバージョン編集を使用する場合は、必ず Oracle の不具合 7155655 の修正を含むパッチを適用してください。詳細につきましては日本オラクル株式会社のサポート サービスにお問合せください。

備考

No.内容
*1

IBM DB2 Spatial Extender(地理情報エクステンダー)のバージョン8 FP15が必要です。

*2 IBM DB2 Spatial Extender(地理情報エクステンダー)のバージョン9.5 FP1が必要です。
*3 日本語のテーブル名、列名を利用することはできません(日本語の値は可)。
*4 ArcSDE のマルチバージョンビューは使用することができません(将来のパッチ、サービスパックもしくはバージョンにおいて修正される予定です)。
*5 64ビット版 OS の32ビット互換モードでの ArcSDE の動作をサポートします。
*6 Windows Server 2003 SP2 およびWindows Server 2003 R2 SP2をサポートします。
*7 ArcSDE の 32-bit 版を使用する場合は、ArcSDE は32-bit 版 DBMS クライアントを使用して DBMS に接続する必要があります。ArcSDE の64-bit 版を使用する場合はArcSDE はDBMS に直接接続することとが可能です。
*8 ST_Geometry型を使用する場合、Oracle の不具合 6756089/6867052 を修正する必要があります(詳細は米国 Esri 社の技術資料をご参照ください)。2009/8/31現在、この修正を含むOracle のパッチセットはOracle 10.2.0.3 Patch 19 以上(Oracle 10.2.0.4 系を除く)およびOracle 11.1.0.7 です。最新の修正状況につきましては日本オラクル株式会社のサポート サービスにお問合せください。
*9  ArcSDE for Oracle 11g 64-bit版を使用する必要があります。
*10 ArcSDE に ArcSDE 9.3.1 Service Pack 1 以上が適用されている必要があります。
*11 Oracle Data Pump を使用する場合は、Oracle Patch 8795792 を適用する必要があります(詳細は米国 Esri 社の技術資料をご参照ください)。
*12 管理コマンドではデータ定義に日本語を含むデータは使用できません。
Copyright© 2002-2017 Esri Japan Corporation. All rights reserved.
トップへ戻る